
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #628

Error dialog popup during playback on Windows

March 12, 2016 00:39 - Bruce Olney

Status: Closed Start date: March 12, 2016

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/mpg123 Estimated time: 0.00 hour

Target version: 3.7.3   

Affects version: 3.7, 3.7.1   

Description

See attached screen Capture.PNG.

These occur when changing songs.  But not on every song.  Playback continues uninterrupted.

The popup interrupts whatever application has focus.  Close the pop-up and focus returns to interrupted application.

I'm not completely sure, but they seem to happen less often on version 3.7.1.  They happened more often on version 3.7.

Thanks!

History

#1 - March 12, 2016 00:55 - Bruce Olney

Note: The message pops up when switching to a new song.  The file indicated in the dialog is the song that has just finished playing.

#2 - March 12, 2016 02:02 - Bruce Olney

I've also noticed that it is specific files that cause the message.  Every time these files play, the pop-up message is displayed.

Would it be useful to send you one of the files?

#3 - March 13, 2016 21:45 - John Lindgren

Yes, please, if you could attach one of the files, that would be most helpful.

#4 - March 14, 2016 18:49 - Bruce Olney

- File 16. Night Sky.mp3 added

Playing the attached file causes the popup error dialog.

Let it play all the way through.  The error dialog is displayed just as audacious starts the next track.

I note that in listening to this track there is a lot of silence at the end.  Could the length be incorrect?

Thanks!

#5 - March 18, 2016 04:32 - John Lindgren

mpg123 and mp3check both agree that there is junk at the end of the file (starting at byte offset 4,402,739).  It looks like it's part of an ID3 tag that

some crappy tag editor left there when saving the file.

If you had looked at the console output (unfortunately, it's difficult to see it in Windows; you have to redirect it to a file), you would have seen
something like this:

ERROR mpg123.cc:285 [print_mpg123_error]: mpg123 error in file:///.../16.%20Night%20Sky.mp3: Failed to find valid MPEG data within limit on

resync. (code 28)

 

In a future version, we should look into making the error message in the GUI more useful.

#6 - March 22, 2016 04:17 - Bruce Olney

These files play on every other media player I have tried with no problems, errors or warnings.  I probably ripped them myself a long time ago. I have

no idea what codec or software was used.

I have hundreds of these files.  I would prefer that no errors are indicated to the user.

#7 - March 28, 2016 05:44 - John Lindgren

- Status changed from New to Rejected

#8 - March 28, 2016 19:35 - Bruce Olney

That's too bad. This makes Audacious pretty much unusable for me.

#9 - April 19, 2016 19:41 - xyz dragon

I also have some of these bad files and I agree, this warning is pretty obtrusive. Why not deactivate the dialog from appearing? Isn't a log message to

the console enough, if it doesn't hinder playing?

#10 - April 19, 2016 19:59 - xyz dragon

xyz dragon wrote:

I also have some of these bad files and I agree, this warning is pretty obtrusive. Why not deactivate the dialog from appearing? Isn't a log

message to the console enough, if it doesn't hinder playing?

 

E.g. by introducing some kind of option or just commenting out lines 364-367 in audacious/src/libaudcore/playback.cc in the latest git commit, i.e.

4558f917754dad51c04

        //aud_ui_show_error (str_printf (_("Error playing %s:\n%s"),

        // (const char *) pb_info.filename, pb_info.error_s ?

        // (const char *) pb_info.error_s : _("Unknown playback error " 

        // "(check the console for detailed error information)")));
#11 - May 12, 2016 05:22 - John Lindgren

- Category set to plugins/mpg123

- Status changed from Rejected to Closed

- Target version set to 3.7.3

- % Done changed from 0 to 100

Pragmatically, it seems there are enough broken MP3s out there that we should silence this particular error.  Fixed.

Files

Capture.PNG 7.61 KB March 12, 2016 Bruce Olney

16. Night Sky.mp3 4.23 MB March 14, 2016 Bruce Olney
